1.2

1.2

get /v1/cluster-fabrics

Description

List Cluster Fabrics.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querycluster_fabric_name
optional
Cluster Fabric 이름
Example : cluster001
any of [string, null]None
querystate
optional
State
Example : RUNNING
any of [string, null]None
querynode_pool_id
optional
Node Pool ID
Example : POOL001-krw1a
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKClusterFabricListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cluster-fabrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"

Example HTTP response

Response 200

{
    "cluster_fabrics": [
        {
            "account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
            "cluster_name": "cluster001",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "description",
            "gpu_node_details": [
                {
                    "gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac",
                    "gpu_node_name": "gpu-node-001",
                    "policy_ip": "192.168.0.1",
                    "product_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
                    "server_type": "s1v8m32_metal",
                    "state": "RUNNING"
                }
            ],
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "node_pool_id": "POOL001-krw1a",
            "pirp_id": "20",
            "product_id": "f90e8ef54cc2451b825608e9f95f7bcb",
            "region_id": "kr-west1",
            "server_type": "s1v8m32_metal",
            "state": "RUNNING",
            "used_server_count": 20
        }
    ],
    "count": 20
}